import { FormsModule } from '@angular/forms';
import { AccueilModule } from './pages/accueil/accueil.module';
import { CompaniesManagerModule } from './pages/companies-manager/companies-manager.module';
import { ProjectsManagerModule } from './pages/projects-manager/projects-manager.module';
import { UsersManagerModule } from './pages/users-manager/users-manager.module';
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from "@angular/platform-browser/animations";

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { BaseNavBarComponent } from './pages/base-nav-bar/base-nav-bar.component';
import { HttpClientModule } from '@angular/common/http';


@NgModule({
  declarations: [
    AppComponent,
    BaseNavBarComponent
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    UsersManagerModule,
    ProjectsManagerModule,
    CompaniesManagerModule,
    AccueilModule,
    HttpClientModule,
    BrowserAnimationsModule,
    FormsModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
