import { UserState } from './../../../../ngrx/users/user.state';
import {
  SearchUsersAction,
  CreateUserFormAction,
} from './../../../../ngrx/users/users.actions';
import { GetAllUsersAction } from '../../../../ngrx/users/users.actions';
import { Component } from '@angular/core';
import { Store } from '@ngrx/store';
import { Router } from '@angular/router';

@Component({
  selector: 'app-user-nav-bar',
  templateUrl: './user-nav-bar.component.html',
  styleUrls: ['./user-nav-bar.component.css'],
})
export class UserNavBarComponent {
  constructor(
    private store: Store<{ userReducerKey: UserState }>,
    private router: Router
  ) {}


  onUserCreate(): void {
    this.router.navigateByUrl('/user-create');
  }

  onUsersGetAll(): any {
    this.store.dispatch(new GetAllUsersAction({}));
  }
  onGetUsersVsProjects(): any {}

  onSearch(searchForm: any) {
    this.store.dispatch(new SearchUsersAction(searchForm.keyword));
  }
}
