import { EditUsersAction, DeleteUsersAction } from './../../../../ngrx/users/users.actions';
import { User } from 'src/app/shared/models/user.model';
import { Input } from '@angular/core';
import { Component } from '@angular/core';
import { UserState } from 'src/app/ngrx/users/user.state';
import { Store } from '@ngrx/store';
import { MsgState } from 'src/app/ngrx/msg.state';

@Component({
  selector: 'app-users-list',
  templateUrl: './users-list.component.html',
  styleUrls: ['./users-list.component.css']
})
export class UsersListComponent {

 @Input()  inputState!: UserState

 constructor(private store: Store<any>){}

 onUserEdit(user:User){
   this.store.dispatch(new EditUsersAction({user}))
 }

 onUserDelete(user: User){

  if(window.confirm(MsgState.CONFIRM)){
    this.store.dispatch(new DeleteUsersAction(user));
  }
 }
}
