import { UserState } from './../../../ngrx/users/user.state';
import { Component, OnInit } from '@angular/core';
import {  Store } from '@ngrx/store';
import { map, Observable } from 'rxjs';
import { User } from 'src/app/shared/models/user.model';
import { MsgState } from 'src/app/ngrx/msg.state';

@Component({
  selector: 'app-users-management',
  templateUrl: './users-management.component.html',
  styleUrls: ['./users-management.component.css'],
})
export class UsersManagementComponent implements OnInit {

  userState$!: Observable<{
    usersList: User[];
    msgState: MsgState;
    userServerErrorMsg: string;
  }>;

  readonly userMsg = MsgState;

  constructor(private store: Store<{ userReducerKey: UserState }>) {}

  ngOnInit(): void {
   // this.userState$ = this.store.select('userReducerKey');
    //or
    this.userState$ = this.store.pipe(
      map( (userState) => userState.userReducerKey)
    )
  }
}
