import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ButtonModule } from "primeng/button";
import { UsersManagerRoutingModule } from './users-manager-routing.module';
import { UserCreateComponent } from './users-management/user-create/user-create.component';
import { UsersManagementComponent } from './users-management/users-management.component';
import { UserNavBarComponent } from './users-management/user-nav-bar/user-nav-bar.component';
import { EffectsModule } from '@ngrx/effects';
import { StoreDevtoolsModule } from '@ngrx/store-devtools';
import { StoreModule } from '@ngrx/store';
import { UserEffects } from 'src/app/ngrx/users/users.effects';
import { userReducer } from 'src/app/ngrx/users/users.reducer';
import { TableModule } from "primeng/table";
import { UsersListComponent } from './users-management/users-list/users-list.component';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';



@NgModule({
  declarations: [
    UserCreateComponent,
    UserNavBarComponent,
    UsersManagementComponent,
    UsersListComponent
  ],
  imports: [
    CommonModule,
    UsersManagerRoutingModule,
    ButtonModule,
    StoreModule.forRoot({userReducerKey: userReducer}),
    EffectsModule.forRoot([UserEffects]),
    StoreDevtoolsModule.instrument(),
    TableModule,
    FormsModule,
    ReactiveFormsModule
  ]
})
export class UsersManagerModule { }
